> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payments

> Get a paginated list of all payments



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /payments
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /payments:
    get:
      tags:
        - Payments
      summary: Get payments
      description: Get a paginated list of all payments
      operationId: Get-payments
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The cursor indicating a unique set of results - this should be
              auto generated and you get it from the `next` and `previous`
              fields of the response
            examples:
              - V2VsbCBhcmV1IGN1cmlvdxM=
            title: Cursor
          description: >-
            The cursor indicating a unique set of results - this should be auto
            generated and you get it from the `next` and `previous` fields of
            the response
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: The number of results to return - defaults to 10
            examples:
              - 10
            title: Limit
          description: The number of results to return - defaults to 10
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: order
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            examples:
              - order=created_at
            title: Order
        - name: sort_key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            examples:
              - sort_key=id
            title: Sort Key
        - name: sort_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            examples:
              - sort_key=asc
            title: Sort Type
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Id
        - name: id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Id  In
        - name: id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Id  Isnull
        - name: customer_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Customer Id
        - name: customer_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer Id  In
        - name: customer_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Customer Id  Isnull
        - name: connector_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Connector Id
        - name: connector_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Connector Id  In
        - name: connector_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Connector Id  Isnull
        - name: external_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: External Id
        - name: external_id__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: External Id  Ilike
        - name: external_id__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: External Id  Like
        - name: external_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: External Id  In
        - name: external_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: External Id  Isnull
        - name: payment_method
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PaymentMethodTypes'
              - type: 'null'
            title: Payment Method
        - name: payment_method__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Method  In
        - name: payment_method__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Payment Method  Isnull
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Type
        - name: type__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Type  In
        - name: type__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Type  Isnull
        - name: amount
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount
        - name: amount__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount  Neq
        - name: amount__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount  Gt
        - name: amount__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount  Gte
        - name: amount__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount  Lt
        - name: amount__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount  Lte
        - name: amount__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Amount  Isnull
        - name: amount__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Amount  In
        - name: amount_refunded
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Refunded
        - name: amount_refunded__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Refunded  Neq
        - name: amount_refunded__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Refunded  Gt
        - name: amount_refunded__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Refunded  Gte
        - name: amount_refunded__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Refunded  Lt
        - name: amount_refunded__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Refunded  Lte
        - name: amount_refunded__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Amount Refunded  Isnull
        - name: amount_refunded__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Amount Refunded  In
        - name: currency_code
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Currency Code
        - name: currency_code__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Currency Code  Ilike
        - name: currency_code__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Currency Code  Like
        - name: currency_code__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Currency Code  In
        - name: currency_code__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Currency Code  Isnull
        - name: receipt_number
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Receipt Number
        - name: receipt_number__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Receipt Number  Ilike
        - name: receipt_number__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Receipt Number  Like
        - name: receipt_number__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Receipt Number  In
        - name: receipt_number__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Receipt Number  Isnull
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PaymentStatusTypes'
              - type: 'null'
            title: Status
        - name: status__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status  In
        - name: status__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Status  Isnull
        - name: autocharge
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Autocharge
        - name: autocharge__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Autocharge  Isnull
        - name: parent_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Parent Id
        - name: parent_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Parent Id  In
        - name: parent_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Parent Id  Isnull
        - name: timestamp
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Timestamp
        - name: timestamp__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Timestamp  Neq
        - name: timestamp__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Timestamp  Gt
        - name: timestamp__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Timestamp  Gte
        - name: timestamp__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Timestamp  Lt
        - name: timestamp__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Timestamp  Lte
        - name: timestamp__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Timestamp  Isnull
        - name: timestamp__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Timestamp  In
        - name: created_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At
        - name: created_at__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Neq
        - name: created_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Gt
        - name: created_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Gte
        - name: created_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Lt
        - name: created_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Lte
        - name: created_at__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Created At  Isnull
        - name: created_at__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At  In
        - name: invoice__id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Invoice  Id
        - name: invoice__id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Invoice  Id  In
        - name: invoice__id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Invoice  Id  Isnull
        - name: invoice__bill_for_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Bill For Date
        - name: invoice__bill_for_date__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Bill For Date  Neq
        - name: invoice__bill_for_date__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Bill For Date  Gt
        - name: invoice__bill_for_date__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Bill For Date  Gte
        - name: invoice__bill_for_date__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Bill For Date  Lt
        - name: invoice__bill_for_date__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Bill For Date  Lte
        - name: invoice__bill_for_date__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Invoice  Bill For Date  Isnull
        - name: invoice__bill_for_date__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Invoice  Bill For Date  In
        - name: invoice__approved_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Approved At
        - name: invoice__approved_at__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Approved At  Neq
        - name: invoice__approved_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Approved At  Gt
        - name: invoice__approved_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Approved At  Gte
        - name: invoice__approved_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Approved At  Lt
        - name: invoice__approved_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice  Approved At  Lte
        - name: invoice__approved_at__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Invoice  Approved At  Isnull
        - name: invoice__approved_at__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Invoice  Approved At  In
        - name: customer__business_entity_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Customer  Business Entity Id
        - name: customer__business_entity_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer  Business Entity Id  In
        - name: customer__business_entity_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Customer  Business Entity Id  Isnull
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResults_PaymentResponseSchema_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaymentMethodTypes:
      type: string
      enum:
        - card
        - cash
        - check
        - charge_back
        - bank_transfer
        - direct_debit
        - amazon_payments
        - paypal_express_checkout
        - upi
        - netbanking_emandates
        - other
        - credits
        - ach_credit_transfer
      title: PaymentMethodTypes
    PaymentStatusTypes:
      type: string
      enum:
        - in_progress
        - requires_action
        - pending_charge
        - authorized
        - created
        - success
        - voided
        - failed
        - canceled
        - refunded
        - partially_refunded
        - other
      title: PaymentStatusTypes
    PaginatedResults_PaymentResponseSchema_:
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
          description: The cursor for the next page of results
          examples:
            - V2VsbCBhcmV1IGN1cmlvdxM=
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
          description: The cursor for the previous page of results
          examples:
            - GmBsbCBhcmV1IGN1cmlvdxM=
        total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Count
          description: The total count of rows
        results:
          items:
            $ref: '#/components/schemas/PaymentResponseSchema'
          type: array
          title: Results
          description: The results for the current page
      type: object
      required:
        - results
      title: PaginatedResults[PaymentResponseSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaymentResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Payment Id
        customer_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Customer Id
          description: ' '
        customer_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Name
          description: ' '
        customer_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Email
          description: ' '
        customer_external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer External Id
          description: ' '
        connector_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Connector Id
          description: ' '
        connector_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Connector Name
          description: ' '
        organisation_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organisation Id
          description: ' '
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: ' '
        payment_method:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodTypes'
            - type: 'null'
          description: ' '
        payment_method_details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Payment Method Details
          description: ''
        type:
          anyOf:
            - $ref: '#/components/schemas/PaymentTypes'
            - type: 'null'
          description: ' '
        amount:
          type: string
          title: Amount
          description: ''
        amount_refunded:
          type: string
          title: Amount Refunded
          description: ''
        currency_code:
          type: string
          title: Currency Code
          description: ''
        status:
          anyOf:
            - $ref: '#/components/schemas/PaymentStatusTypes'
            - type: 'null'
          description: Payment Status
        parent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Id
          description: ' '
        invoices:
          anyOf:
            - items:
                $ref: '#/components/schemas/InvoiceAmounts'
              type: array
            - type: 'null'
          title: Invoices
          description: ' '
        timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Timestamp
          description: ' '
        transactions:
          anyOf:
            - items:
                $ref: '#/components/schemas/TransactionResponseSchema'
              type: array
            - type: 'null'
          title: Transactions
          description: ' '
        error_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Text
          description: Error Message
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
          description: created_at
        receipt_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Receipt Number
          description: receipt_number
        balance_transactions:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Balance Transactions
          description: balance_transactions
      type: object
      required:
        - id
        - amount
        - amount_refunded
        - currency_code
        - status
      title: PaymentResponseSchema
      description: Payment Response Schema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PaymentTypes:
      type: string
      enum:
        - payment
        - refund
        - payment_reversal
        - authorization
        - tax_withheld
      title: PaymentTypes
    InvoiceAmounts:
      properties:
        invoice_id:
          type: string
          format: uuid
          title: Invoice Id
          description: Invoice ID
        payment_id:
          type: string
          format: uuid
          title: Payment Id
          description: Payment ID
        amount:
          type: string
          title: Amount
          description: Amount
        amount_refunded:
          type: string
          title: Amount Refunded
          description: Amount Refunded
        currency_code:
          type: string
          title: Currency Code
          description: Currency Code
        invoice_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Number
          description: Invoice Number
        status:
          anyOf:
            - $ref: '#/components/schemas/InvoiceStatus'
            - type: 'null'
          description: Invoice Status
        invoice_total:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Total
          description: Invoice Total
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Created At
      type: object
      required:
        - invoice_id
        - payment_id
        - amount
        - amount_refunded
        - currency_code
      title: InvoiceAmounts
      description: Payment part
    TransactionResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: ' '
        customer_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Customer Id
          description: ' '
        connector_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Connector Id
          description: ' '
        organisation_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organisation Id
          description: ' '
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: ' '
        payment_method:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodTypes'
            - type: 'null'
          description: ' '
        payment_method_details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Payment Method Details
          description: ''
        reference_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference Number
          description: ' '
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: ' '
        amount:
          type: string
          title: Amount
          description: ''
        currency_code:
          type: string
          title: Currency Code
          description: ''
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
          description: ' '
        error_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Text
          description: ' '
        payment:
          type: string
          format: uuid
          title: Payment
          description: ' '
        settled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Settled At
          description: ' '
        voided_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Voided At
          description: ' '
        status:
          anyOf:
            - $ref: '#/components/schemas/PaymentStatusTypes'
            - type: 'null'
          description: ' '
        timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Timestamp
          description: ' '
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: ' '
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: ' '
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
          description: ' '
        payment_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Type
          description: ' '
      type: object
      required:
        - id
        - amount
        - currency_code
        - payment
        - status
      title: TransactionResponseSchema
      description: Transaction Response Schema
    InvoiceStatus:
      type: string
      enum:
        - draft
        - approved
        - edited
        - discarded
        - paid
        - void
        - partially_paid
        - upcoming
      title: InvoiceStatus
      description: >-
        When adding a new status make sure the following files are also modified
        appropriately
            * serverless-backend/zenskar_shared/models/invoices.py
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````